## Orthanc Python interface ##
A Python3 urllib3 based interface for communication with the Orthanc server. 
Provides simple REST API interfaces integrated in python code.

### Setup ###
Update `network-config-sample.json` with personal information needed to access the site (username and password)
When using orthancInterface, use the updated file as input to orthancInterface constructor, ie
```python
ifc=orthancInterface.orthancInterface('/path/to/network-config.json')
```

Orthanc configuration file can be merged with the LabKeyInterface configuration file.

### Use ###
Sample usage:

```python
fhome=os.path.expanduser('~')
fconfig=os.path.join(fhome,'.labkey','network.json')
onet=orthancInterface.orthancInterface()
onet.init(fconfig)
ofb=orthancFileBrowser.orthancFileBrowser(onet)
...
#download seriesId to fname
ofb.getZip('series',seriesId,fname)

#upload dicom file
ofb.upload('/path/to/file.dcm')
```

